/* --- Laptop Landscape --- */
@media only screen and (max-width: 1366px) {
  .container {
    max-width: 1170px;
  }
}
/* --- Tablet L Landscape --- */
@media only screen and (max-width: 1199px) {
  .container {
    max-width: clamp(990px, 95vw, 1100px);
  }

  .intro__right-canvas {
    position: absolute;
    top: 10px;
    left: -10px;
  }
  .intro__right-img {
    padding-left: 50px;
  }
}
/* --- Tablet Portrait --- */
@media only screen and (max-width: 1024px) {
  .container {
    max-width: clamp(950px, 95vw, 990px);
  }

  .burger {
    display: flex;
  }

  .header .desktop-view {
    display: none;
  }
  .header__nav {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #EDF3FD;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    z-index: -1;
    transition: all 0.5s;
  }
  .header__nav.is-active {
    opacity: 1;
    pointer-events: all;
    visibility: visible;
    z-index: 100;
  }
  .header__nav::before, .header__nav::after {
    position: absolute;
    content: "";
    background-repeat: no-repeat;
    background-size: contain;
  }
  .header__nav::before {
    background-image: url(../img/bg/mobile-nav-1.svg);
    left: 0;
    top: 50%;
    background-position: left bottom;
    transform: translateY(-50%);
    width: 70%;
    height: 100%;
  }
  .header__nav::after {
    background-image: url(../img/bg/mobile-nav-2.svg);
    top: 0;
    right: 0;
    background-position: right top;
    width: 70%;
    height: 100%;
  }
  .header__nav ul {
    display: flex;
    flex-direction: column;
    font-weight: 600;
    font-size: 23px;
    line-height: 69px;
    z-index: 101;
  }
  .header__nav ul li.mobile-view {
    display: block;
  }
  .header__nav ul li.mobile-view .join-button {
    margin-left: 0;
  }
  .header__nav ul li.mobile-view .join-button a {
    background-color: var(--blue-color);
    color: #fff;
  }

  .intro__items {
    flex-direction: column;
  }

  .pricing__box .swiper-slide {
    width: 100%;
  }
  .pricing__box .swiper-wrapper {
    display: flex;
    gap: 0;
  }

  .pricing__slider-pagination {
    margin-top: clamp(30px, 3vw, 50px);
  }
}
/* --- Tablet Landscape --- */
@media only screen and (max-width: 991px) {
  .container {
    max-width: clamp(750px, 95vw, 950px);
  }

  .intro__right-img {
    padding-top: 30px;
    padding-left: 40px;
  }

  .intro__right-canvas {
    left: -15px;
    transform: scale(0.9);
  }
}
/* --- Mobile Phones L--- */
@media only screen and (max-width: 767px) {
  .container {
    padding: 0;
    max-width: calc(100% - 20px);
  }

  .intro__left {
    max-width: none;
  }
  .intro__right-canvas {
    left: -15px;
    transform: scale(1);
  }
  .intro__form form input[type=submit] {
    width: 51px;
    height: 51px;
    border-radius: 50%;
    font-size: 0;
    padding: 0;
    flex-shrink: 0;
    background-repeat: no-repeat;
    background-position: left 55% center;
    background-size: auto;
    background-image: url(../img/icons/main-icon.svg);
  }
  .intro__right-canvas {
    position: absolute;
    top: 30px;
    left: 10px;
  }

  .macos,
.questions__inner,
.intro__inner {
    grid-template: auto/1fr;
  }

  .footer__inner {
    grid-template: auto/1fr;
    gap: 30px;
    justify-items: center;
  }
  .footer__socials, .footer__rights {
    justify-content: center;
    text-align: center;
  }

  .confidence__top {
    flex-direction: column;
    margin-bottom: 20px;
    gap: 30px;
  }
  .confidence__slider-buttons div {
    background-position: left top 10px;
  }

  .pricing__item {
    min-height: -webkit-max-content;
    min-height: -moz-max-content;
    min-height: max-content;
  }
}
/* --- Mobile Phones M--- */
@media only screen and (max-width: 575px) {
  .intro__right-canvas {
    transform: scale(0.8);
    top: 10px;
    left: -10px;
  }
}
/* --- Mobile Phones S--- */
@media only screen and (max-width: 420px) {
  .intro__right-canvas {
    top: 0;
    transform: scale(0.6);
  }
}
@media only screen and (max-width: 360px) {
  .pricing__switcher-btn {
    width: 250px;
  }

  .pricing__switcher-btn::before {
    width: 123px;
  }

  .intro__right-canvas {
    transform: scale(0.5);
    top: 0px;
    left: -10px;
  }
}